### deferred_function

Wraps a function object so that it may be used as an element in a deferred composition.

    template<
        typename Function>
    class deferred_function

##### Member Functions

Name | Description
--- | ---
deferred_function [constructor] | Constructor.
operator() |

##### Data Members

Name | Description
--- | ---
function_ |

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`